Overview
PUT/content/categories/{id}content

Update categories

Replace a record in categories by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • nameoptionalstring
  • descriptionoptionalstring
  • coloroptionalstring
  • iconoptionalstring
  • parentIdoptionalstring?
  • sortOrderoptionalinteger
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "name": "string",
  "description": "string",
  "color": "string",
  "icon": "string",
  "parentId": "string",
  "sortOrder": 0
}
Responses
200

categories

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • namestring
  • descriptionstring
  • colorstring
  • iconstring
  • parentIdstring?
  • sortOrderinteger
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "name": "string",
  "description": "string",
  "color": "string",
  "icon": "string",
  "parentId": "string",
  "sortOrder": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/categories/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "name": "string",
  "description": "string",
  "color": "string",
  "icon": "string",
  "parentId": "string",
  "sortOrder": 0
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/categories/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\",\n  \"color\": \"string\",\n  \"icon\": \"string\",\n  \"parentId\": \"string\",\n  \"sortOrder\": 0\n}",
});
const data = await res.json();